---
title: RTCIceCandidatePairStats.consentRequestsSent
slug: Web/API/RTCIceCandidatePairStats/consentRequestsSent
tags:
  - API
  - Candidates
  - Connectivity
  - ICE
  - Networking
  - RTCIceCandidatePairStats
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - contentRequestsReceived
  - data
  - rtc
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} property <strong><code>consentRequestsSent</code></strong> specifies the number of consent requests that have been sent by this peer to the remote peer on the connection described by the pair of candidates.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>consentRequestsSent</em> = <em>rtcIceCandidatePairStats</em>.consentRequestsSent;</pre>

<h3 id="Value">Value</h3>

<p>An integer indicating the number of consent requests this peer has sent to the other peer over the connection described by the pair of candidates referenced by this <code>RTCIceCandidatePairStats</code> object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-consentrequestssent', 'RTCIceCandidatePairStats.consentRequestsSent') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.consentRequestsSent")}}</p>
